Novell is now a part of Micro Focus

Optional update for libopensync

Knowledgebase

(Last modified: 20MAR2007)


solutions Optional update for libopensync SuSE Linux Maintenance Web (26ec2b69e21f1ef54870062df8d27368)

Applies to

Package: libopensync
libopensync-plugin-evolution2
libopensync-plugin-file
libopensync-plugin-gnokii
libopensync-plugin-kdepim
libopensync-plugin-palm
libopensync-plugin-syncml
libopensync-tools
libsyncml
msynctool
multisync-gui
Product(s): SUSE Linux Enterprise Desktop 10 SP1 Upgrade for x86
SUSE Linux Enterprise Desktop 10 SP1 Upgrade for AMD64 and Intel EM64T
Zypp-Patch-Number: 2865
Release: 20070320
Obsoletes: none

Indications

These packages are the updates for Service Pack 1 of SUSE Linux Enterprise
10. Install them to have your system at SP1 level.

Contraindications

None.

Problem description

Below you find a list of changes sorted alphabetically by package name.
libopensync
  • fixed a bug which folded lines within a quoted printable sequence (#249342)
  • fixed some errors in vcal/ical converter. OpenSync should now be able to convert rrule from vcal to ical (#223613, #223621)
  • Feature #301100, #301098, #120259
  • added workaround in time api which converts vcalendar entries timestamps in UTC or localtime. Required for some Nokia models like 6230, 6230i, 6280 which only store local timestamps. (#224063)
  • fixed a bug in vcal/ical converter (#223613)
  • fixed a bug in vcal reminder (#223621)
  • updated to version 0.20
    • added support for timezones
    • various time-api fixes
  • updated to version 0.19
    • added vcal-ical converter
    • fixed issues in python bindings
    • fixed memory corruption
    • fixed bug with --filter-objtype
    • fixed conversion problems of unix timeformat to vtime
    • fixed a bug which loaded every plugin
  • Fix filelist for python update.
  • updated to version 0.18+svn1233
    • finally merged IPC-Trunk
    • new time helper functions
    • new trace-level for sensitive contents
    • fixed license issues in vformat.c and vformat.h
    • replaced xmlNewChild with xmlNewTextChild
    • fixed memory leaks
libopensync-plugin-evolution2
  • Feature #301100, #301098, #120259
  • bumped version to 0.20
  • updated to version 0.19
  • updated to version 0.18+svn1233
    • fixed the license (all code is LGPL)
libopensync-plugin-file
  • Feature #301100, #301098, #120259
  • bumped version to 0.20
  • updated to version 0.19
    • fixed a bug where it would be possible to generate invalid filenames
    • disabled fam
    • fixed detection of invalid filenames
    • fixed a bug where all file names are autogenerated
  • updated to version 0.18+svn1233
    • fixed the license (all code is LGPL)
libopensync-plugin-gnokii
  • Feature #301100
  • added missing conection type dlr3p to config parser [#218667]
  • updated to version 0.19
    • added new GN_PHONEBOOK_NUMBER type
    • added support for filter-objtype
    • added missing handler of GN_PHONEBOOK_None
    • added missing utc to localtime conversion
    • fixed conversion between localtime and utc
    • fixed wrong udev rule
  • updated to version 0.18+svn1233
    • fixed memory leaks
    • fixed a deadlock
    • replaced xmlNewChild with xmlNewTextChild
libopensync-plugin-kdepim
  • OpenSync can't detect changes if korganizer is running. #229957 fixed this with a short check.
  • Feature #301100, #301098, #120259
  • fixed problem when syncing KABC (read-only) ressources
  • bumped version to 0.20
  • updated to version 0.19
    • fixed bug that led to adding empty elements to xmlDoc
  • updated to version 0.18+svn1233
    • changed vcard request from version 2.1 to 3.0
libopensync-plugin-palm
  • fixed polling bug #241985
  • fixed lastsync bug #241984
    • added anchor to store the lastsync of a device
  • Feature #301098
  • updated to version 0.20
    • changed default config to libusb port
    • adapted palm-sync to new timeapi
    • fixed objtype note
  • updated to version 0.19
    • fixed syncing of contact labels
    • added workaround for address type
    • avoid constant conflicts and allow RRULE with INTERVAL=1
    • added support for filter-objtype
  • updated to version 0.18+svn1233
    • added recurrence support
    • added encoding support
    • added memo syncing support
    • fixed syncing conflicts
libopensync-plugin-syncml
  • added options for disabling obex and http support
    • disabled http support (see fate#301100)
  • Feature #120259
  • added workaround for mobile phones which only supports localtime. (This affects Nokia 6230, 6230i, 6280, ...) (#224063)
  • Workaround option in plugin config: <onlyLocaltime>1</onlyLocaltime>
  • changed default config of syncml-obex-client config.
  • enabled wbxml by default and changed connection to bluetooth
  • updated to version 0.20
    • changed object type format of todo and event to vtodo10 and vevent10
    • notes make use of new object type "memo"
    • changed database names in default config
    • added missing plugin descriptions for frontends
  • updated to version 0.19
    • pulled in upstream patches
    • use vevent10 instead of vevent20
    • set timeout to 0
  • updated to version 0.18+svn1233
libsyncml
  • fixed unit tests for libsyncml (#249354)
  • fixed a memory leak in smlXmlDevInfParse. (Libsyncml rev226)
  • disabled syncml-http-support
  • Feature #120259
  • added DOCTYPE to XML header required by Nokia 6280 and N70 (#224063)
  • updated to version 0.4.2
    • fixed a bug with Nokia 6230 series
    • send missing disconnect OBEX signal
  • updated to version 0.4.1
    • added a function to assemble devinf
    • fixed the devinf parser
    • added additional functions
    • pulled in several upstream patches
    • added manpages for syncml-http-server and syncml-obex-client
    • implemented san alerts for the client
  • updated to version 0.4.0+svn183
msynctool
  • Feature #301100, #301098, #120259
  • updated to version 0.20
    • fixed a crash due to missing return
  • obsoletes multisync-cli
  • renamed package from multisync-cli to msynctool
  • updated to version 0.19
    • fixed autoconf warnings
    • added manpages for convcard and msynctool
  • updated to version 0.90.18+svn170
    • added checks to see if a conflict can be ignored
multisync-gui
  • Feature #301100, #301098, #120259
  • updated to version 0.91.0
    • changed to multisync-gui qad branch
  • updated to version 0.90.19
    • fixed some build bugs
    • fixed gcc warnings
    • fixed a menu entry

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Uvh libopensync.rpm libopensync-plugin-evolution2.rpm libopensync-plugin-file.rpm libopensync-plugin-gnokii.rpm libopensync-plugin-kdepim.rpm libopensync-plugin-palm.rpm libopensync-plugin-syncml.rpm libopensync-tools.rpm libsyncml.rpm msynctool.rpm multisync-gui.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus